%define name gnusound
%define version 0.6.2
%define release 1mdk

Summary: A Gnu sound editor
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source3:    %{name}-16.png.bz2
Source4:    %{name}-32.png.bz2
Source5:    %{name}-48.png.bz2
Patch0:     %{name}-destdir.patch.bz2
License: GPL
Group: Sound
Url: http://awacs.dhs.org/software/gnusound
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libglade-devel
BuildRequires: libgnome-devel
BuildRequires: libglib-devel

%description
A gnu sound editor

%prep
%setup -q 
%patch0 -p0

%build
%ifarch ppc
cat config.h |\
sed 's|USE_FLOAT_TO_INT_METHOD 1|USE_FLOAT_TO_INT_METHOD 2|' |\
sed 's|define ARCH_X86|undef ARCH_X86|' \
> config.h.new
cp -f config.h.new config.h
%endif

%configure
%make

%install

%makeinstall_std

(
cd $RPM_BUILD_ROOT/%_libdir/gnusound/modules/
for i in *; do
    strip $i || true
done
)

mkdir -p $RPM_BUILD_ROOT{%{_miconsdir},%{_liconsdir},%{_menudir}}
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE4} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE5} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

(cd $RPM_BUILD_ROOT%{_menudir}
cat > %name << EOF
?package(%{name}):\
command="%{_bindir}/%{name}"\
title="Gnusound"\
longtitle="Gnu Sound Editor"\
needs="x11"\
section="Multimedia/Sound"\
icon="%{name}.png"
EOF
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO CHANGES NOTES
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.*
%dir %{_libdir}/%{name}/modules
%{_libdir}/%{name}/modules/*
%dir %{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}/*
%{_datadir}/gnome/apps/Multimedia/%name.desktop
%dir %{_datadir}/gnome/help/gnusound
%dir %{_datadir}/gnome/help/gnusound/C/
%{_datadir}/gnome/help/gnusound/C/*

%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}

%post
%{update_menus}

%postun
%{clean_menus}

%changelog
* Thu Jan 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6.2-1mdk
- new release

* Tue Nov 04 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.6.1-1mdk
- 0.6.1
 
* Thu May 29 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.6-1mdk
- 0.6
 
* Thu May 01 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.1-3mdk
- distlint fix

* Sun Feb 09 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.1-2mdk
- apply patch0 for gcc2 (for backport)

* Mon Jan 06 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.1-1mdk
- new release

* Tue Dec 31 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5-1mdk
0.5

* Tue Dec 24 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4.1-2mdk
- Fix errno pb Patch0 (thanks Pascal and Gwenole)
- Enable ppc build (thanks Pascal)

* Mon Dec 16 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4.1-1mdk
- 0.4.1
- Fix missing files (Pascal Haakmat <a.haakmat@chello.nl>)

* Fri Dec 13 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4-1mdk
- 0.4

* Sun Oct 06 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3.7-1mdk 
- 0.3.7

* Thu Jun 27 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3.5-1mdk
- 1st mdk release
